## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate tracing-core

Name:           rust-%{crate}
Version:        0.1.19
Release:        %autorelease
Summary:        Core primitives for application-level tracing

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/tracing-core
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Core primitives for application-level tracing.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE LICENSE-lazy_static LICENSE-spin
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/
# Don't ship our manual license copies in the devel package.
%exclude %{cargo_registry}/%{crate}-%{version_no_tilde}/LICENSE-*

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages
which use "lazy_static" feature of "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

# These "inner" licenses are also MIT, but with different copyright statements.
# Copy them to distinct names for normal license installation.
cp -p src/lazy_static/LICENSE LICENSE-lazy_static
cp -p src/spin/LICENSE LICENSE-spin

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip test that fails since Rust 1.52.1 but is not reproducible upstream
%cargo_test -- -- --skip field::test::value_sets_with_fields_from_other_callsites_are_empty
%endif

%changelog
* Sat Aug 21 2021 Fabio Valentini <decathorpe@gmail.com> 0.1.19-1
- Update to version 0.1.19; Fixes RHBZ#1994824

* Fri Jul 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.18-3
- Skip test that fails since Rust 1.52.1 but is not reproducible upstream.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.18-1
- Update to version 0.1.18.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.1.17-1
- Update to version 0.1.17.

* Wed Sep 09 2020 Josh Stone <jistone@redhat.com> - 0.1.16-1
- Update to 0.1.16

* Tue Aug 25 2020 Josh Stone <jistone@redhat.com> - 0.1.15-1
- Update to 0.1.15

* Thu Jul 23 2020 Josh Stone <jistone@redhat.com> - 0.1.11-1
- Initial package

